Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.agents
Class AuditEventDispatchAgent

    java.lang.Object
      oracle.ifs.core.runtime.Server
          oracle.ifs.core.runtime.IfsServer
              oracle.ifs.core.runtime.ClusteredServer
                  oracle.ifs.core.agents.AuditEventDispatchAgent

All Implemented Interfaces:
  ServerInterface, TimerContext

    public class AuditEventDispatchAgent

extends ClusteredServer

AuditEventDispatchAgent is a time-critical agent that dispatches raw Audit events to other Audit histories.

This agent continuously polls for new raw audit events, and copies them to all registered audit histories (via registered AuditSpecification instances).

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.core.runtime.IfsServer
`IfsServer.ServerRequest`

Field Summary

Fields inherited from class oracle.ifs.core.runtime.ClusteredServer
`REQUESTTYPE_CHECK_REGISTRATION, REQUESTTYPE_FORCE_CHECK_REGISTRATION`

Fields inherited from class oracle.ifs.core.runtime.Server
`LEVEL_HIGH, LEVEL_LOW, LEVEL_MEDIUM, LEVEL_OFF`

Fields inherited from interface oracle.ifs.core.runtime.ServerInterface
`SERVERSTATUS_DISPOSED, SERVERSTATUS_RUNNING, SERVERSTATUS_STARTING, SERVERSTATUS_STOPPED, SERVERSTATUS_STOPPING, SERVERSTATUS_SUSPENDED, SERVERSTATUS_UNKNOWN`

Constructor Summary
`AuditEventDispatchAgent()` Constructs a AuditEventDispatchAgent.

Method Summary
`protected void` | `handlePropertyChangeRequest(AttributeValue av)` Handles updates to dynamic properties.
`protected void` | `handleResumeRequest()` handle the resume request.
`protected void` | `handleStopRequest()` Handle the stop request.
`protected void` | `handleSuspendRequest()` handle the suspend request.
`protected void` | `handleTimerExpired()` Handles a timer expiration.
`void` | `initialize()` Perform one time initialization tasks upon loading.
`boolean` | `isAgent()` Gets whether this Server is an agent.
`boolean` | `isPropertyReadonly(java.lang.String name)` Returns true if the property name specified is readonly.
`static void` | `main(java.lang.String[] args)` This is used to run the AuditEventDispatchAgent in the standalone mode.
`void` | `postRun()` Performs post-run tasks for this agent.
`void` | `run()` Runs this agent.
`boolean` | `supportsSuspendResume()` Gets whether suspend/resume is supported.

Methods inherited from class oracle.ifs.core.runtime.ClusteredServer
`cancelRegistration, checkRegistration, deriveAgentIdentifier, deriveRunningServerIdentifier, getAgentIdentifier, getAgentIdentifierPrefix, getRegistrationPeriod, getRunningNodeIdentifier, getRunningNodeName, getRunningServerIdentifier, getRunningServersEnumeration, handleRequest, initializeRegistration, isRegistered, isServerRunning, isTokenNonCompeting, releaseTokenRegistration, requestForcedRegistrationCheck, requestRegistrationCheck`

Methods inherited from class oracle.ifs.core.runtime.IfsServer
`checkSession, connectSession, constructSession, convertTimerInterval, convertTimerInterval, convertTimerInterval, dispose, getLastTimerActivation, getNextTimerActivation, getService, getTimerActivationPeriod, getTimerClassName, getTimerConfiguration, handlePriorityChangeRequest, handlePropertyChangeRequest, handleRequests, isTimerActive, postRequest, preRun, processEvent, processEvents, queueEvent, resetTimer, restart, resume, setPriority, setProperty, setProperty, start, startTimer, stop, stopRequested, stopTimer, suspend, timerExpired, waitServer`

Methods inherited from class oracle.ifs.core.runtime.Server
`acquireSession, constructLibrarySessionPool, createServerState, deregister, disconnectSession, getConfigurationOverridesTable, getConfigurationTable, getCredential, getDesiredStatus, getIfsHome, getInitialConfigurationTable, getLoggerForLegacyLogging, getName, getNode, getNodeName, getOracleHome, getParameterTable, getPriority, getProperties, getProperty, getServerConfigurationName, getServerState, getServerStateValue, getServerType, getServiceName, getSession, getStateTable, getStatus, getSystemUserCredential, handleServerConfigurationOverrideRequest, handleServerStateEvent, initialize, initialize, isDisposed, isInitialized, isLogged, log, log, log, postAuditEvent, releaseSession, releaseSession, setDesiredStatus, setDesiredStatus, setSessionTimeoutPrevented, setStateProperty, setStatus, startStandalone, startStandalone, supportsPriority, toStatusLabel, toStatusLabel, toStatusLabel, verifyNotDisposed, verifyNotDisposed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditEventDispatchAgent

    public AuditEventDispatchAgent()
                            throws IfsException

  Constructs a AuditEventDispatchAgent.

  Throws:
    `IfsException` - if the operation fails

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Description copied from class: `AuditEventDispatchAgent`
  This is used to run the AuditEventDispatchAgent in the standalone mode.

  Parameters:
    `args` - command line args
  Throws:
    `java.lang.Exception` - if the operation fails

### initialize

    public void initialize()
                    throws java.lang.Exception

  Description copied from class: `AuditEventDispatchAgent`
  Perform one time initialization tasks upon loading.

  Overrides:
    `initialize` in class `Server`
  Throws:
    `java.lang.Exception` - if the operation fails

### isPropertyReadonly

    public boolean isPropertyReadonly(java.lang.String name)
                               throws IfsException

  Description copied from class: `AuditEventDispatchAgent`
  Returns true if the property name specified is readonly.

  Specified by:
    `isPropertyReadonly` in interface `ServerInterface`
  Overrides:
    `isPropertyReadonly` in class `ClusteredServer`
  Parameters:
    `name` - name of the property
  Returns:
    true if property is readonly; false otherwise
  Throws:
    `IfsException` - if the operation fails

### handlePropertyChangeRequest

    protected void handlePropertyChangeRequest(AttributeValue av)
                                        throws java.lang.Exception

  Description copied from class: `AuditEventDispatchAgent`
  Handles updates to dynamic properties.

  Overrides:
    `handlePropertyChangeRequest` in class `IfsServer`
  Parameters:
    `av` - the property that was changed
  Throws:
    `java.lang.Exception` - if the operation fails

### isAgent

    public boolean isAgent()
                    throws IfsException

  Description copied from class: `AuditEventDispatchAgent`
  Gets whether this Server is an agent.

  This method is called by administration tools to group together servers that are agents in administration user interfaces.

  Specified by:
    `isAgent` in interface `ServerInterface`
  Overrides:
    `isAgent` in class `Server`
  Returns:
    true
  Throws:
    `IfsException` - no exception is thrown

### run

    public void run()

  Description copied from class: `AuditEventDispatchAgent`
  Runs this agent.

  Specified by:
    `run` in class `IfsServer`

### postRun

    public void postRun()

  Description copied from class: `AuditEventDispatchAgent`
  Performs post-run tasks for this agent.

  Overrides:
    `postRun` in class `IfsServer`

### handleStopRequest

    protected void handleStopRequest()
                              throws java.lang.Exception

  Description copied from class: `AuditEventDispatchAgent`
  Handle the stop request.

  Overridden here to include logging.

  Overrides:
    `handleStopRequest` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if operation fails
  (Published)

### supportsSuspendResume

    public boolean supportsSuspendResume()

  Description copied from class: `AuditEventDispatchAgent`
  Gets whether suspend/resume is supported.

  Specified by:
    `supportsSuspendResume` in interface `ServerInterface`
  Overrides:
    `supportsSuspendResume` in class `Server`
  Returns:
    true

### handleSuspendRequest

    protected void handleSuspendRequest()
                                 throws java.lang.Exception

  Description copied from class: `AuditEventDispatchAgent`
  handle the suspend request. Subclasses can override this to perform custom tasks as part of a Suspend request.

  Overrides:
    `handleSuspendRequest` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails

### handleResumeRequest

    protected void handleResumeRequest()
                                throws java.lang.Exception

  Description copied from class: `AuditEventDispatchAgent`
  handle the resume request. Subclasses can override this to perform custom tasks as part of a Resume request.

  Overrides:
    `handleResumeRequest` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails

### handleTimerExpired

    protected void handleTimerExpired()
                               throws java.lang.Exception

  Description copied from class: `AuditEventDispatchAgent`
  Handles a timer expiration.

  Overrides:
    `handleTimerExpired` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD